Skip to main content
POST
/
tasks
/
stt
Speech To Text
curl --request POST \
  --url https://api.sunbird.ai/tasks/stt \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form audio='@example-file' \
  --form language=lug \
  --form adapter=lug \
  --form recognise_speakers=false \
  --form whisper=false
{
  "audio_transcription": "<string>",
  "diarization_output": {},
  "formatted_diarization_output": "<string>",
  "audio_transcription_id": 123,
  "audio_url": "<string>",
  "language": "<string>",
  "was_audio_trimmed": false,
  "original_duration_minutes": 123
}

Documentation Index

Fetch the complete documentation index at: https://sunbirdai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

multipart/form-data
audio
file
required

Audio file to transcribe

language
enum<string>
default:lug
Available options:
ach,
teo,
eng,
lug,
lgg,
nyn,
swa,
kin,
xog,
myx
adapter
enum<string>
default:lug
Available options:
ach,
teo,
eng,
lug,
lgg,
nyn,
swa,
kin,
xog,
myx
recognise_speakers
boolean
default:false
whisper
boolean
default:false

Response

Successful Response

changes

audio_transcription
string | null
diarization_output
Diarization Output · object
formatted_diarization_output
string | null
audio_transcription_id
integer | null
audio_url
string | null
language
string | null
was_audio_trimmed
boolean | null
default:false
original_duration_minutes
number | null